Subject: Bug#487: hardcoded /opt/X11/bin/xmodmap in onmainwindow.cpp

From: [email-masked]
Date: Tue, 6 May 2014 00:25:37 +0200

Package: x2goclient
Version: 4.0.2.0

This bug affects mac clients only.

Systems: 
OSX 10.6.8 + XQuartz 2.7.5 from macports
OSX 10.9.2 + XQuartz 2.7.5 from macports

Macports installs xmodmap in /opt/local/bin and Apple installs it in
/usr/X11/bin . In onmainwindow.ccp there is a hard coded path "/opt/X11/bin/xmodmap"
which may be the correct location for the macosforge package. 

x2goclient does not complain about a missing xmodmap and no modifiers
are set on the server session. Keyboard is at least partially defunct. 

Workaround: symlink some existing xmodmap to the hard coded path works
fine.

IMHO there should be at least an error message, if xmodmap is not found on
client. Additinally the location of xmodmap could be a configuration
parameter.